on_circuit_tick = {}
quadripole = {}
consumers = {}
model = {}
cable_tick = 0.10000000000000001
local function _0_(R_e2_80_b2, X_e2_80_b2)
  local R = (R_e2_80_b2 or 0)
  local X = (X_e2_80_b2 or 0)
  local function _1_(pos)
    local meta = minetest.get_meta(pos)
    meta:set_float("resis", R)
    return meta:set_float("react", X)
  end
  return _1_
end
set_resis = _0_
local function _1_(pos)
  local already_processed = {}
  already_processed[serialize_pos(pos)] = true
  return reset_circuits(pos, already_processed)
end
reset_current = _1_
local function _2_(name)
  local function _3_(pos)
    local meta = minetest.get_meta(pos)
    local consumer = consumers[name]
    if (not check_current(meta, consumer) and consumer.on_deactivate) then
      consumer.on_deactivate(pos)
      return meta:set_int("active", 0)
    end
  end
  return _3_
end
reset_consumer = _2_
neighbors = {vector.new(1, 0, 0), vector.new(-1, 0, 0), vector.new(0, 0, 1), vector.new(0, 0, -1), vector.new(0, 1, 0), vector.new(0, -1, 0)}
return nil
